# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:   %%info%%
Name:      xrib
Version:   1
Release:   0
Copyright: GPL
Vendor:    Vctor Javier Cerquera <javier@gaia.univalle.edu.co>, Alejandro Gutirrez <alejandro@calipso.com.co>
Url:       http://xrib.calipso.com.co

Packager:  Vctor Javier Cerquera <javier@gaia.univalle.edu.co>, Alejandro Gutirrez <alejandro@calipso.com.co>
Group:     Graphics
Source:    xrib-1.tar.gz
BuildRoot: %%buildroot%%

%description
A simple but powerfull 3D Animation Software, based on the Renderman Interface. A BMRT rendering software.

It allows the user to design and animate a 3D scene and then generate a MPEG-1 Video or a tiff file sequence.

%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.xrib
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.xrib
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.xrib

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/xrib
rm -rf ../file.list.xrib


%files -f ../file.list.xrib
